Subject: Re: [PATCH 00/33] Build ppc64le kernel using ABIv2

From: Anton Blanchard <[email-masked]>
Date: Wed, 26 Mar 2014 22:20:50 +1100

Hi Uli,

> You probably should have two different macros _GLOBAL_TOC vs. _GLOBAL
> (or _GLOBAL vs. _GLOBAL_NOTOC), and use the variant that provides a
> global entry point setting up the TOC only with those functions that
> actually require a TOC.

I was worried that we might introduce subtle bugs by forgetting to use
the right version, but I agree it seems to be the only way.

> When I looked at this last time, I remarked:
> 
> >./platforms/pseries/hvCall.S:
> >./platforms/cell/beat_hvCall.S:
> >Looks safe since all functions are called via varargs prototypes
> >(or > 8 integer arguments).
> 
> Checking again, this still seems true.  These are the prototypes
> for all the functions in hvCall.S:

You are right, I forgot about your previous review. Thanks!

Anton